AMH开源社区

AMH社区 - 开放自由有价值的社区

[求助帖] 【AMH5.0疑问】如何解决phpMyadmin配置问题?

weishibo
铝牌会员
363.75 价值分

6,000 次阅读   6 张回复   weishibo 发表于 2014-09-09 16:24:57
本帖最后由 weishibo 于 2014-9-9 16:28 编辑

安装最新提供的phpmyadmin组件后,打开此模块进入到phpMyadmin系统,却提示我:



baidu,google后有解决方法,但在配置"php.ini"后却发现没有生效,
因此,我的问题是:
1、安装AMH5.0面板后,是否还需要再安装官方的php的安装程序?
2、如果不需要安装PHP,那么,控制php环境的变量是:/usr/local/php-xxx/etc/php-template.ini 文件控制么?是否需要修改为"php.ini" ?
3、如果修改成"php.ini",如何使它生效来控制整个php的环境?(有点小白用户的问题).
4、同样的道理,是否还需要单独安装mysql官方的应用程序?
5、php,mysql如果都安装了官方的版本,是否与AMH5.0有冲突? 没有冲突的话,该有谁控制整个系统环境的配置?
6、在phpMyadmin中,为什么所在的服务器是:*.sock文件?是临时性的么?会不会对我的整个DB有影响?


非常感谢!!
评价: 这个问题有价值吗?  没有 (0分)   有, 感谢 (1分)
2014-09-09 16:24:57 1

amysql
创始人
97574.38 价值分

引用:
1、安装AMH5.0面板后,是否还需要再安装官方的php的安装程序?
2、如果不需要安装PHP,那么,控制php环境的变量是:/usr/local/php-xxx/etc/php-template.ini 文件控制么?是否需要修改为"php.ini" ?
3、如果修改成"php.ini",如何使它生效来控制整个php的环境?


面板的php.ini位置是:
/usr/local/amh-5.0/etc/amh-php.ini
需要更改这个配置。然后面板上《应用软件》那边重启下AMH。


引用:

4、同样的道理,是否还需要单独安装mysql官方的应用程序?
5、php,mysql如果都安装了官方的版本,是否与AMH5.0有冲突? 没有冲突的话,该有谁控制整个系统环境的配置?

AMH5.0是多环境的,每个环境都可以设置有不同的配置。很多扩展也是对于环境应用的。

引用:
6、在phpMyadmin中,为什么所在的服务器是:*.sock文件?是临时性的么?会不会对我的整个DB有影响?

这个并不是临时文件。这只是通过socket方式连接MySQL。AMH 5.0是可以同时使用多个版本的数据库软件。
这样就可以指定多个MySQL连接进行管理,没什么影响。
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2014-09-09 16:35:38 2

weishibo
铝牌会员
363.75 价值分

非常感谢!
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2014-09-09 16:56:37 3

bright126
铁牌会员
194.00 价值分

引用:
/usr/local/amh-5.0/etc/amh-php.ini
需要更改这个配置。然后面板上《应用软件》那边重启下AMH。


请问下,这个配置,要怎么修改呢?
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2015-07-04 14:55:31 4

bright126
铁牌会员
194.00 价值分

amh-php.ini文件好像用ftp无法下载?
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2015-07-04 14:55:53 5

阿里冬冬
铁牌会员
127.19 价值分

phpMyAdmin - 错误
配置文件权限错误,不应任何用户都能修改!
这个修改哪个呢
评价: 这个答复有价值吗?  没有 (0分)   有, 感谢 (0分)
回复  2016-01-14 18:22:09 6
 1  (总1页)
AMH社区列表
旅客不可参与帖子, 请您先登录
用户服务中心